<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Builder;
use App\Entities\PagSeguro\Share\PagSeguroAddress;

class PagSeguroHolderBuilder implements Builder {
	protected $name;
	

	public function build(): PagSeguroHolder {

		$obj = new PagSeguroHolder();
		
		$obj->setName($this->name);

		return $obj;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name): PagSeguroHolderBuilder {

		$this->name = $name;
		return $this;
	}



}

